<?php
function GetTaoyuanPolygonfunc(){
	$pointLocation = new pointLocation();
		$simple_taoyuan_json='
	{
		"coordinates":[
		[
	        [
	          121.04873657226561,
	          25.045792240303445
	        ],
	        [
	          121.02676391601562,
	          25.037082810395646
	        ],
	        [
	          120.96633911132812,
	          24.937502586022006
	        ],
	        [
	          121.29318237304688,
	          24.75306702526595
	        ],
	        [
	          121.29043579101562,
	          24.69194341912649
	        ],
	        [
	          121.38931274414062,
	          24.56710835257599
	        ],
	        [
	          121.50329589843749,
	          24.671978191593258
	        ],
	        [
	          121.44012451171874,
	          24.756808311192707
	        ],
	        [
	          121.46072387695314,
	          24.775513050757333
	        ],
	        [
	          121.42364501953124,
	          24.84656534821976
	        ],
	        [
	          121.37283325195312,
	          24.84656534821976
	        ],
	        [
	          121.34674072265624,
	          24.969875004555917
	        ],
	        [
	          121.42227172851562,
	          24.98854752702206
	        ],
	        [
	          121.40853881835936,
	          25.06072125231416
	        ],
	        [
	          121.25198364257811,
	          25.131609209315805
	        ],
	        [
	          121.04873657226561,
	          25.045792240303445
	        ]
	    ]
	]
			}';
	    $simple_tao_poly=array();
	    $simple_taoyuan_arr=json_decode($simple_taoyuan_json,true);
	//$points = array("121.3010003 24.9929995","121.39068603515625 24.86151853356795","-20 30","100 10","-10 -10","40 -20","110 -20");//testing point
	foreach($simple_taoyuan_arr["coordinates"][0] as $each_coor){
		array_push($simple_tao_poly,$each_coor[0]." ".$each_coor[1]);
	}
	return $simple_tao_poly;	
	
	//testing case
foreach($points as $key => $point) {
    echo "point " . ($key+1) . " ($point): " . $pointLocation->pointInPolygon($point, $simple_tao_poly) . "<br>";
}
}
?>